summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b7b1c51c37c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: NiNjA <heinep at gmail dot com>
+# Maintainer: Andreas B. Wagner <AndreasBWagner@pointfree.net>
+# Contributor: damir <damir@archlinux.org>
+# Contributor: Damir Perisa <damir.perisa@bluewin.ch>
+
+pkgname=tpb
+pkgver=0.6.4
+pkgrel=2
+pkgdesc="Access the special buttons on a ThinkPad-Laptop using xosd"
+arch=('i686' 'x86_64')
+url="http://savannah.nongnu.org/projects/tpb/"
+license=('GPL')
+depends=('xosd' 'glibc')
+backup=('etc/tpbrc')
+source=(http://savannah.nongnu.org/download/tpb/$pkgname-$pkgver.tar.gz)
+md5sums=('563b544fbedcc1763130a0bca1ad63b6')
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+}